Name: gpshell
Version: 1.4.2
Release: 7%{?dist}
Summary: Manage applets on GlobalPlatform and OpenPlatform smart cards
Group: Development/Tools
License: GPLv3+
URL: http://sourceforge.net/projects/globalplatform/
Source0: gpshell-1.4.2-nosample.tar.gz
# gpshell contains sample code from Sun's JavaCard Java Card Technology 
# Development Kit and doesn't include the source code. Even if the source code
# was included that wouldn't be sufficient as the development environment 
# needed to generate the binary is not free software. 
# Therefore we use this script to remove the sample code before shipping it.
# Download the upstream tarball and invoke this script while in the tarball's 
# directory:
# sh generate-tarball.sh 1.4.2
Source1: generate-tarball.sh

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: globalplatform-devel >= 5.0.0
BuildRequires: zlib-devel

%description
GPShell is a script interpreter which talks to a smart card.  It is written on 
top of the GlobalPlatform library, which was developed by Karsten Ohme.  It 
uses smart card communication protocols ISO-7816-4 and OpenPlatform 2.0.1 and 
GlobalPlatform 2.1.1.  It can establish a secure channel with a smart card, 
load, instantiate, delete, list applets on a smart card.

%prep
%setup -q
# chmod required, upstream sf.net bug #2122834
chmod 644 *.txt
# convert to UTF8
iconv --from=ISO-8859-1 --to=UTF-8 AUTHORS > AUTHORS.new
touch -c -r AUTHORS AUTHORS.new
mv AUTHORS.new AUTHORS
# remove DOS line endings
sed -i 's/\r$//' AUTHORS

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README COPYING CHANGES ChangeLog *.txt AUTHORS
%{_bindir}/*

%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec 2 2008 François Kooman <fkooman at, tuxed.net> 1.4.2-5
- remove keep timestamps on make install as install-sh is not used anyway

* Mon Dec 1 2008 François Kooman <fkooman at, tuxed.net> 1.4.2-4
- fix mock build by including zlib-devel in BuildReq
- regenerate tarball without Sun sample code and use that

* Sun Nov 30 2008 François Kooman <fkooman at, tuxed.net> 1.4.2-3
- fix summary

* Sun Nov 30 2008 François Kooman <fkooman at, tuxed.net> 1.4.2-2
- change Source0 URL to match package guidelines
- add AUTHORS and CHANGES to doc
- including COPYING instead of COPYING.LESSER as it is actually released under
  GPLv3+
- change license to GPLv3+
- remove pcsc-lite-devel as buildreq as globalplatform-devel already requires
  that
- change to keep dates of files on make install
- convert AUTHORS to UTF-8 and remove DOS line endings

* Mon Sep 22 2008 François Kooman <fkooman at, tuxed.net> 1.4.2-1
- Initial package for Fedora

